#include "rendering/ColorRenderer.h"
#include "gaming-core/wrapper/Attributes.h"
#include "gaming-core/utils/Buffer.h"

ColorRenderer::ColorRenderer() {
    vertexBuffer.setAttributes(Attributes().addFloat(2).addSpacer().addColor4());
    vertexBuffer.setStreamData(3 * sizeof (float) * 6);
}

void ColorRenderer::draw(const Vertex& v1, const Vertex& v2, const Vertex& v3) {
    Buffer <sizeof (Vertex) * 3 > buffer;
    buffer.add(v1).add(v2).add(v3);
    vertexBuffer.updateData(0, buffer.getLength(), buffer);
    vertexBuffer.draw(3);
}